<?
if (stristr($_SERVER['HTTP_USER_AGENT'],'windows') || stristr($_SERVER['HTTP_USER_AGENT'],'linux') || 
    stristr($_SERVER['HTTP_USER_AGENT'],'macintosh') || stristr($_SERVER['HTTP_USER_AGENT'],'unix') || 
    stristr($_SERVER['HTTP_USER_AGENT'],'macos') || stristr($_SERVER['HTTP_USER_AGENT'],'bsd')){
$pred_file=H.'files/user_files/'.$file_id['id'].'.dat';
if (is_file(H."files/prev/video/$file_id[id].flv")){
echo"<script type='text/javascript' src='http://vdrugbe.ru/sys/swfobject.js'></script>
<div id='mediaspace'>This text will be replaced</div>
<script type='text/javascript'>var so = new SWFObject('http://vdrugbe.ru/sys/flvplayer.swf','ply','470','320','9','#ffffff');
so.addParam('allowfullscreen','true');so.addParam('allowscriptaccess','always');so.addParam('wmode','opaque');
so.addVariable('file','http://vdrugbe.ru/files/prev/video/".$file_id['id'].".flv');
so.addVariable('image','');
so.write('mediaspace');</script>";
}elseif (!@copy($pred_file, H."files/prev/video/$file_id[id].flv"))
{}else{
echo"<script type='text/javascript' src='http://vdrugbe.ru/sys/swfobject.js'></script>
<div id='mediaspace'>This text will be replaced</div>
<script type='text/javascript'>var so = new SWFObject('http://vdrugbe.ru/sys/flvplayer.swf','ply','470','320','9','#ffffff');
so.addParam('allowfullscreen','true');so.addParam('allowscriptaccess','always');so.addParam('wmode','opaque');
so.addVariable('file','http://vdrugbe.ru/files/prev/video/".$file_id['id'].".flv');
so.addVariable('image','');
so.write('mediaspace');</script>";
}}
if (is_file(H."files/user_files/screens_litle/$file_id[id].png"))
{
echo "<img src='/files/user_files/screens_litle/$file_id[id].png' alt='Скрин...' />\n";
}
elseif (class_exists('ffmpeg_movie')){
$media = new ffmpeg_movie($file);
$k_frame=intval($media->getFrameCount());

$w = $media->GetFrameWidth();
$h = $media->GetFrameHeight();
$ff_frame = $media->getFrame(intval($k_frame/2));
if ($ff_frame) {
$gd_image = $ff_frame->toGDImage();
if ($gd_image) {
$des_img = imagecreatetruecolor(80, 80);
$s_img = $gd_image;
imagecopyresampled($des_img, $s_img, 0, 0, 0, 0, 80, 80, $w, $h);



imagegif($des_img,H."files/user_files/screens_litle/$file_id[id].png");
chmod(H."files/user_files/screens_litle/$file_id[id].png", 0777);
imagedestroy($des_img);
imagedestroy($s_img);




if (function_exists('iconv'))
echo "<img src='".iconv('windows-1251', 'utf-8',"/files/user_files/screens_litle/$file_id[id].png")."' alt='scr...' />\n";
else
echo "<img src='/files/user_files/screens_litle/$file_id[id].png' alt='scr...' />\n";

}
}
}


?>